Download voicemail audio
GET
/v1/studios/{studio}/voicemails/{vm}/audio
const url = 'https://api.caller9.app/v1/studios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/voicemails/example/audio';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.caller9.app/v1/studios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/voicemails/example/audio \ --header 'Authorization: Bearer <token>'Streams the voicemail recording. The Content-Type is the recording’s stored audio type (typically audio/mpeg).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”studio
required
string format: uuid
Studio ID (UUID).
vm
required
string
Voicemail ID.
Responses
Section titled “Responses”The recording.
Media typeaudio/*
string format: binary
Headers
Section titled “Headers”Cache-Control
string
Example
private, max-age=3600Missing, invalid, expired or revoked API key.
Media typeapplication/json
object
error
required
Human-readable error message.
string
code
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
string
Example generated
{ "error": "example", "code": "example"}Voicemail not found, or the recording is not available.
Media typeapplication/json
object
error
required
Human-readable error message.
string
code
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
string
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
Media typeapplication/json
object
error
required
Human-readable error message.
string
code
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
string
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Retry-After
integer
Seconds until the rate-limit window resets.